/** 
 *   FIXME ....
 *
 *   Survey for "antenna" position system.
 *
 *   (c) Copyright 2004 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 *   TODO: ??? 
 **/

#ifndef _SURVEY_H
#define _SURVEY_H
#define SURVEY

#define WT_EXPIRATION 4 /* time for expiration Weather data (in sec) */

int survey_core(int fd);

/* Client side: */
int survey_start(int fd, double dec);
int survey_stop(int fd);
char *survey_status(int fd); /* (char *) witch malloc */


#endif  /* ifndef _SURVEY_H */
